com.unitech.stuhflBridge

## Class BR_ST25RU3993_TuningCaps.STUHFL_T_ST25RU3993_Caps

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_TuningCaps.STUHFL_T_ST25RU3993_Caps

- Enclosing class:
    BR_ST25RU3993_TuningCaps

      public class BR_ST25RU3993_TuningCaps.STUHFL_T_ST25RU3993_Caps
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `cin`
    `short` | `clen` < I/O Param: IN capacitance of tuning table
    `short` | `cout` < I/O Param: LEN capacitance of tuning table

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_Caps()`
    `STUHFL_T_ST25RU3993_Caps(short cin, short clen, short cout)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()` < I/O Param: OUT capacitance of tuning table

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cin

          public short cin

    - #### clen

          public short clen

      < I/O Param: IN capacitance of tuning table

    - #### cout

          public short cout

      < I/O Param: LEN capacitance of tuning table

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_Caps

          public STUHFL_T_ST25RU3993_Caps(short cin,
                                          short clen,
                                          short cout)

    - #### STUHFL_T_ST25RU3993_Caps

          public STUHFL_T_ST25RU3993_Caps()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      < I/O Param: OUT capacitance of tuning table
      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`